%define	module	TimeDate
%define	name	perl-%{module}
%define	version	1.16
%define	real_version	1.16
%define	release	%mkrel 6

Summary:	%{module} module for perl (Data_Type_Utilities/Time)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{real_version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl
BuildArch:	noarch

%description
Simple Time and Date module for perl.

%prep
%setup -q -n %{module}-%{real_version}

%build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc MANIFEST README ChangeLog
%{perl_vendorlib}/Date
%{perl_vendorlib}/Time
%{_mandir}/*/*




%changelog
* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.16-6mdv2008.1
+ Revision: 180626
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.16-5mdv2007.0
+ Revision: 108427
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-TimeDate

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 1.16-4mdk
- rebuild

